INTERFACE
 SUBROUTINE ARO_SURF_DIAG( KGPCOMP, KFREQFS, &
 &KYPROC, KLON, PINPRR, PACPRR, PINPRS, PACPRS, PINPRG, PACPRG ) 
USE PARKIND1  ,ONLY : JPIM     ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: KGPCOMP,KFREQFS,KYPROC,KLON
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PINPRR
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PACPRR
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PINPRS
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PACPRS
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PINPRG
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PACPRG
END SUBROUTINE ARO_SURF_DIAG
END INTERFACE
